UNRELEASED
 * Fix a bug for -e option with --name/--class, closes #14.
   Thanks to Sergey Zaytsev <https://github.com/zaytsev>
 * Fix assert error with zsh, closes #26.
   Thanks to tantSinnister <https://github.com/tantSinnister>
 * New COLOR_STYLE option: USER_CUSTOM
   Thanks to Eric Davis <edavis@insanum.com>
 * Allow fractional font size
   Thanks to Alex Kritikos <https://github.com/akrito>
 * New COLOR_STYLE option: HOLO
   Thanks to Alex Kritikos <https://github.com/akrito>
 * Drop configure option: --with-gtk=2+3

0.5.2~pre1
 * Support command line options: -fg, -bg, -sa
   Thanks to Globe Trotter <itsme_410 AT yahoo DOT com>
 * Support EXPORT_WINDOWID, like what xterm and rxvt do.
   Thanks to Peter Bui <peter DOT j DOT bui AT gmail DOT com>
 * Improve desktop file, thanks to adaptee <adaptee AT gmail DOT com>
 * New COLOR_STYLE option: SOLARIZED_DARK and SOLARIZED_LIGHT, closes #8.
 * Fix COLOR_STYLE data according to xterm-279 and linux console in qemu
 * Workaround for Caps lock problem by changing hotkey settings, issue #7.

0.5.1
 * Better compatibility with some compilers and CFLAGS
   Thanks to Daniel Richard G. <skunk AT iSKUNK DOT ORG>
 * Support key bindings for ALT_SHIFT, CTRL_ALT_SHIFT, and CTRL_SHIFT
 * Auto-detect gtk_*_resize_grip in dlopen() mode
 * Fix a potential bug for HOTKEY_SCROLL_ONE_PAGE_*
 * Strict minimum font size to 1
 * Hide DEFAULT_ENCODING, PROGRAM_NAME, and PROGRAM_VERSION
 * Make everything GTK+ 3.4.0 compatible

0.5.1~pre3
 * New hotkey definition method, support ALT and SHIFT, closes #2.
   The new behavior breaks old hotkey definitions.
   If you have old conffiles, please update them to latest format.
 * Support TAB_NEW_PATH_EQUAL_OLD when open new evilvte window, closes #3.
 * Support HOTKEY_SCROLL_ONE_PAGE_*, closes #4.
 * Some distributions backports gtk_*_resize_grip to GTK+ 2.x.
   Try export CFLAGS="-DGTK_HAS_RESIZE_GRIP" and rebuild evilvte
 * Drop old CTRL_ALT option
 * Deprecate HOTKEY_TAB_GO_TO_NUMBER, use ALT_NUMBER_GO_TO_TAB_NUMBER or
   CTRL_NUMBER_GO_TO_TAB_NUMBER instead

0.5.1~pre2
 * Support TAB_NEW_TAB_AT_TAB_ONE, let new tab always be the first tab
   Thanks to shenfeng <https://github.com/shenfeng>
 * Make close button smaller
 * Improve resizing behavior with "-VteTerminal-inner-border" property

0.5.1~pre1

 * Temporary workaround for "-VteTerminal-inner-border" property
 * Mouse clicking can also turn off urgency hint now

0.5.0

 The "One binary to rule them all!" Release

 * Fix a bug for -e option
 * Fix a bug for input method menu
 * New configure option: --with-gtk=2+3|3+2
   The binary will not link to VTE nor GTK+, thus can support GTK+ 2.x and 3.x
   at the same time. It still depends on VTE runtime, of course.
   Use --2 or --3 command line options to choose the version of GTK+.
   If evilvte segfaults with --3 option, please try export USE_ACCESSIBLE=0 or
   USE_ACCESSIBLE=1.
 * Drop codes with VTE version < 0.17.1

0.5.0~pre1
 * Sync COLOR_STYLE: ZENBURN with xterm
   Thanks to Artur Dryomov <me AT ming13 DOT ru>
   Previous ZENBURN is renamed to ZENBURN_DARK
 * Replace all deprecated functions that have suitable replacements
 * Make everything GTK+ 3.1.92 compatible
   Use GTK_FONT_CHOOSER_DIALOG only for GTK+ version >= 3.1.90
 * Make everything VTE 0.29.1 compatible
   If you encounter problems, try export CFLAGS="-DUSE_ACCESSIBLE=0"
   and rebuild evilvte.

0.4.9
 * Fix makefile parallelization
   Thanks to Thomas Weißschuh <thomas_weissschuh AT lavabit DOT com>
 * Use GTK_FONT_CHOOSER_DIALOG for GTK+ version >= 3.1.12
 * Expand VTE widget in GtkGrid

0.4.9~pre5
 * Support GtkGrid
 * Fix an SCROLLBAR minor bug with option OFF_L and OFF_R
 * New icon set under the license:
   GNU General Public License version 2 or any later version
   Thanks to Alexander Inglessi <inglessi AT gmail DOT com>
 * Use vte_terminal_fork_command() by default. Please see:
   http://evilvte.blogspot.com/2011/03/issue-evilvte-048-makes-zsh-segfault.html

0.4.9~pre4
 * Support SEARCH_CASE_SENSITIVE
   I will make it toggleable at runtime in the future.
   But I am lazy to write it now. :-P
   Patches are very welcome.
 * Make everything GLib 2.29.8 compatible
 * Sign SHA1SUMS using RSA key ID BE8BA819 and DSA key ID E98D6159

0.4.9~pre3
 * Grayed out menu items according to their status:
   "Copy", "Paste", "Zoom default"

0.4.9~pre2
 * Minor tweaks in TABBAR_AUTOHIDE for GTK+ 3.x
 * Hide VTE_FIXED color style which was merged in VTE version >= 0.17.1
 * Drop !TAB codes since evilvte is GtkNotebook-only for a very long time.
   For those who do not use tabs, the binary size will increase a little.

0.4.9~pre1
 * Support "Auto-click" when there is only one effective menu item.
   You can assign anything to right-click now.
 * Support embedded GTK3_CSS

0.4.8

 The "Welcome, GTK+ 3.0.0!" Release

 * Better compatibility with string matching
 * Fix a bug that made MATCH_STRING fail when MENU is not enabled
   Thanks to Kabakov Boris <pigritor AT gmail DOT com>
 * New COLOR_STYLE option: ZENBURN
   Thanks to thagraal and <ezrgzx AT gmail DOT com>
 * New options: MATCH_STRING_HTTP
                MATCH_STRING_MAIL
                MATCH_STRING_FILE
 * Hide MATCH_STRING
 * Make everything GTK+ 3.0.0 compatible

0.4.8~pre3
 * Fix a bug for multiple -e options in command line
 * Fix an i18n bug when linked to GTK+ version >= 2.90.0

0.4.8~pre2
 * Initial support for vte_terminal_search_*
   The feature of VTE is still quite buggy.
   Please see: https://bugzilla.gnome.org/627886
 * Support underscore in LABEL_* to indicate mnemonic of menu item
 * Drop MATCH_STRING_EXEC which was deprecated since 0.4.7~pre1
 * Hide DEFAULT_EMULATION_TYPE, TAB_BORDER_HORIZONTAL and TAB_BORDER_VERTICAL
 * Provide a clearsigned SHA1SUMS using DSA key ID E98D6159

0.4.8~pre1
 * Status bar and scrollbar can be hidden initially and be toggled on later
 * Better behavior for *_TOGGLE_TABBAR with TABBAR_AUTOHIDE enabled
 * Sync window state with window manager
 * Fix some cross-platform issues
   Thanks to Aragon Gouveia <aragon AT phat DOT za DOT net>
 * Initial support for new resizing behavior of VTE
   If you are using GTK+ version >= 2.91.1 and VTE version >= 0.27.1,
   the window size of evilvte is not always correct currently.

0.4.7.1
 * Fix a segfault bug of HOTKEY_MIMIC_SCROLL_UP and HOTKEY_MIMIC_SCROLL_DOWN

0.4.7
 * Better compatibility with WM_CLASS
   - Accept environment variable RESOURCE_NAME
   - Document --name and --class command line options in manpage
   - Note that -title and -T no longer changes WM_CLASS
   - Thanks to Zveroy <zveroy AT gmail DOT com> and
               Tetralet <tetralet AT gmail DOT com>
 * Accept environment variable PKG_CONFIG_PATH, thanks to letoh
 * Support -g +X+Y command line option to assign initial window geometry
 * Prevent tab labels getting focus

0.4.7~pre5
 * Support -fn command line option to assign font and font size
 * Better compatibility with configure options

0.4.7~pre4
 * Support HOTKEY_MIMIC_SCROLL_*, thanks to qotsa
 * New configure option: --with-gtk=2.0|3.0

0.4.7~pre3
 * Support vte_terminal_fork_command_full
 * Support all positive integer font size
 * Drop gdk-pixbuf dependency. It was used for a bug only exists in VTE 0.24.0.

0.4.7~pre2
 * Support BELL_URGENT, aka WM_URGENT hint. Thanks to L29Ah.

0.4.7~pre1

 The "Thanks to Aragon!" Release

 * Rename MATCH_STRING_EXEC to MATCH_STRING_L
 * Provide MATCH_STRING_M
 * Fix two MATCH_STRING_* bugs
 * Fix two WINDOW_TITLE_DYNAMIC bugs
 * Fix a cross-platform issue

0.4.6
 * Workaround for VTE 0.24.0 vte_terminal_set_background_image_file() bug

0.4.6~pre6
 * Support CURSOR_SHAPE
 * New BACKSPACE_KEY and DELETE_KEY option: ERASE_TTY
 * Simplify Makefile and configure

0.4.6~pre5
 * Saturation can be adjusted by holding Ctrl and scrolling mouse up or down.
   Define both MOUSE_CTRL_SATURATION and HOTKEY to TRUE to use this function.
   If CTRL_ALT is TRUE, you have to hold Ctrl and Alt while scrolling.
 * Remove close button border in some specific themes
   Thanks to Tetralet <tetralet AT gmail DOT com>

0.4.6~pre4
 * Support MATCH_STRING_EXEC
 * Define TAB_LABEL when Arch Linux is detected, thanks to Ethan

0.4.6~pre3
 * Respect CC
 * Support gnome-default-applications
 * Support "make uninstall"
 * VTE_FIXED color style will be disabled if VTE version >= 0.17.1
 * Do not define SHOW_WINDOW_BORDER automatically

0.4.6~pre2
 * Support -d command line option to run as a dock
 * Support WINDOW_TITLE_DYNAMIC for xterm escape sequences, thanks to IllvilJa
 * Support personal configuration file other than src/config.h. For example:
   "make distclean ; ./configure --config=/dev/null ; make strip"

0.4.6~pre1
 * Support PROGRAM_ICON so users can put their own icons at $HOME
 * Respect CFLAGS and OPTFLAGS
 * Drop "Select_all" in MENU_CUSTOM. Use "Select all" instead.
 * Improve coloring of showvte and configure script
 * Improve man page description. Thanks to editors of http://freshmeat.net.

0.4.5
 * Support -ls command line option to enable login shell
 * Fix an CLOSE_SAFELY bug which was in 0.4.5~pre5 to 0.4.5~pre7
 * Make TAB_LABEL more customizable and support i18n
 * Hide DEFAULT_ARGV
 * Fix build failure when linked by GNU gold linker
   Thanks to Peter Fritzsche <peter DOT fritzsche AT gmx DOT de>

0.4.5~pre7
 * Fix an HOTKEY_TOGGLE_BACKGROUND bug which was in 0.4.5~pre3 to 0.4.5~pre6

0.4.5~pre6
 * Support TAB_LABEL_DYNAMIC for xterm escape sequences, thanks to Pavel Plesov

0.4.5~pre5
 * Merge changes from 0.4.4.2

0.4.5~pre4
 * New option DEFAULT_TERMINAL_SIZE
 * New option SCROLLBAR

0.4.5~pre3
 * Improve command line option support
 * Improve hotkey customization

0.4.5~pre2
 * Fix a displaying bug about toggling scrollbar or status bar.

0.4.5~pre1
 * Enable deprecated VTE functions that were disabled in evilvte 0.4.4.

0.4.4.2
 * Fix an CLOSE_DIALOG bug which could destroy the program by accident.
   Thanks to an anonymous guest.
   (http://hyperrate.com/thread.php?tid=11916#11916)
 * Support "make distclean"

0.4.4.1
 * Support command line -T option

0.4.4
 * Disable deprecated VTE functions if VTE version >= 0.19.4

0.4.4~pre10
 * Support CTRL_ALT
   If you enable it, all hotkeys will become Ctrl + Alt + hotkey(s).

0.4.4~pre9
 * Support command line -f option
 * New COLOR_STYLE option: VTE_FIXED

0.4.4~pre8

 The "Thanks to Samuli Suominen!" Release

 * Rename libraries variable to LDLIBS
 * Fix Makefile to work with LDFLAGS="-Wl,--as-needed"
 * Remove target "all" from target "install" which caused everything to get
   re-compiled at install phase.

0.4.4~pre7
 * Respect LDFLAGS

0.4.4~pre6
 * Support PROGRAM_WM_CLASS
   Thanks to Bruno Vieira <mail AT bmpvieira DOT com>

0.4.4~pre5
 * Support CTRL_TOGGLE_FULLSCREEN and "Toggle fullscreen" item in menu
 * Fix a do-no-harm message when trying to rename a null tab label
   Thanks to Bernhard R. Link <brlink AT debian DOT org>

0.4.4~pre4
 * Support command line -title option
 * Use g_get_current_dir() instead of g_getenv("PWD") to decide current path
   Thanks to Bruno Vieira <mail AT bmpvieira DOT com>

0.4.4~pre3
 * Support TAB_CLOSE_BUTTON

0.4.4~pre2
 * Support TAB_REORDERABLE
 * Fix a switch-page bug
 * Always handle delete_event signal
 * Disable tab label auto-resorting

0.4.4~pre1
 * Support command line -r option
 * Support command line -h option
 * Support command line -2 to -9 options
 * Make manpage according to build-time options

0.4.3
 * Support PROGRAM_ALWAYS_ON_TOP
 * Support CTRL_TOGGLE_ON_TOP and "Toggle always on top" item in menu

0.4.3~pre1
 * Fix Segmentation fault when closing program

0.4.2
 * Clarify licenses
   Thanks to Vincent Bernat <bernat AT debian DOT org> and
             Don Armstrong <don AT debian DOT org>

0.4.1
 * Support CTRL_SATURATION_DIALOG and "Adjust saturation" item in menu
 * Support CTRL_COLOR_BACKGROUND and "Background tint" item in menu
 * Parse TOGGLE_BG_ORDER and COLOR_STYLE
 * Support command line -v option in showvte

0.4.0
 * Support CTRL_TOGGLE_HOTKEYS and "Toggle hotkeys locking" item in menu
   When hotkeys are locked, all evilvte hotkeys will be disabled, except
   CTRL_TOGGLE_HOTKEYS.
 * Fix a focus bug
 * Let all tabs share the same background setting and saturation level
 * Adjust saturation of opacity to match the saturation of background image

0.3.9
 * Parse src/config.h to make binary smaller.
 * Support CTRL_TOGGLE_ANTI_ALIAS
 * Support CTRL_TOGGLE_DECORATED
 * Support CTRL_TOGGLE_SCROLLBAR
 * Support CTRL_TOGGLE_STATUS_BAR
 * Support CTRL_TOGGLE_TABBAR
 * Support "Quit" item in menu

0.3.8
 * Support CLOSE_DIALOG
 * Support "Toggle window decorated" item in menu
 * Support "Toggle anti-alias" item in menu
 * Support "make strip" and "make installstrip"

0.3.7
 * Support MOUSE_CTRL_SATURATION
 * Support "Toggle scrollbar", "Toggle status bar", and "Toggle tabbar" items
   in menu
 * Disable menu when MENU_CUSTOM defines nothing or separators only.
 * Fix build failure when CTRL_TOGGLE_BACKGROUND is enabled without defining
   BACKGROUND_SATURATION

0.3.6
 * Support BACKGROUND_OPACITY and SHOW_WINDOW_DECORATED
   Thanks to dx <dx AT dxzone DOT com DOT ar>
 * Do not kill foreground applications when CLOSE_SAFELY is enabled
   Thanks to Tetralet <tetralet AT gmail DOT com>

0.3.5
 * Support "Submenu encoding list" item in menu
 * Support "Submenu input method" item in menu
 * Support CTRL_SELECT_ALL and "Select_all" item in menu
 * Support "Toggle background" item in menu
 * Remove "Quit" item in menu

0.3.4
 * Support MENU_MATCH_STRING_EXEC
 * Support "Select font" item in menu
 * Support CTRL_FONT_SELECT
 * Support PROGRAM_VERSION for personal versioning
 * Simplify menu customization

0.3.3
 * Remove an useless variable in the struct terminal.
   Thanks to marianoguerra <http://marianoguerra.blogspot.com>
 * Fix an TABBAR_SCROLLABLE bug
   Thanks to marianoguerra <http://marianoguerra.blogspot.com>
 * Fix a label editing bug when scrollbar is not enabled
 * Support TAB_EXPANDED_WIDTH

0.3.2
 * Fix the auto-detect-SUSE failure in openSUSE Build Service.
   Thanks to swyear <swyear AT gmail DOT com>
 * Support "New window" and "Edit label" items in menu
 * Support "Zoom in", "Zoom out", and "Zoom default" items in menu

0.3.1
 * Define TAB_LABEL when SUSE system is detected
   Thanks to swyear <swyear AT gmail DOT com>
 * Support MENU_CUSTOM
 * Support "Reset terminal", "Quit", and "Separator" items in menu

0.3.0
 * Support "Copy" and "Paste" items in menu
 * Support "Add tab" and "Remove tab" items in menu
 * Support "Reset and clear" item in menu
 * Support CTRL_OPEN_NEW_WINDOW
 * Support CTRL_EDIT_ENCODING
 * Support gtk-alternative-button-order setting
 * Fix a dialog title bug
 * Fix an CTRL_TAB_EDIT_LABEL hotkey bug

0.2.9
 * Support CTRL_TAB_EDIT_LABEL
 * Support TOGGLE_BG_ORDER
 * Support new tab with current tab's working directory

0.2.8
 * Support TAB_LABEL_STYLE_*, thanks to BV1AL.
 * Support CTRL_TOGGLE_BACKGROUND
 * Support CTRL_TAB_FIRST and CTRL_TAB_LAST
 * Support CTRL_TAB_GO_TO_NUMBER

0.2.7
 * Support COMMAND_SHOW_OPTIONS
 * Add a script "showvte" to show build-time configuration
 * Show configuration status in configure script

0.2.6
 * Support CTRL_SATURATION_MORE and CTRL_SATURATION_LESS
 * Support LABEL_DEFAULT_ENCODING

0.2.5
 * Support all arguments in -e option
   Thanks to Tetralet <tetralet AT gmail DOT com>
 * Support CTRL_RESET_TERMINAL
 * Support CTRL_RESET_AND_CLEAR

0.2.4
 * Fix an TABBAR_AUTOHIDE bug

0.2.3
 * New option TABBAR
 * Support TAB_SHOW_INFO_AT_TITLE
 * Fix an CLOSE_SAFELY bug for i386 architecture
 * Fix a status bar size bug

0.2.2
 * Support TABBAR_MENU_SELECT_TAB
 * Support TABBAR_SCROLLABLE
 * Support tabbar at bottom, left, right, and top

0.2.1
 * Support DEFAULT_EMULATION_TYPE
 * Support COMMAND_EXEC_PROGRAM

0.2.0
 * Support hotkeys for copy and paste
 * Support transparent background
 * Support "Input method" item in menu
 * Support VteTerminalEraseBinding
 * Support background image
 * Support cursor blinks
 * Support font size change with hotkey
 * Support "Default Encoding" in encoding switching menu
 * Support CLOSE_SAFELY
 * Close a tab will not close background applications now
 * Support command line -v option
 * Support all VTE color settings
 * Support foreground and background colors
 * Configurable hotkeys

0.1.0
 * Support window title
 * Support window icon
 * Option to turn off tabs
 * Fix defining TAB_LABEL without scrollbar
 * Support SHOW_WINDOW_BORDER and TAB_BORDER
 * Support color scheme
 * Support tabbar autohide

0.0.2
 * Initial release

0.0.1
 * Forked from sakura 2.0.1, http://www.pleyades.net/david/sakura.php
   Thanks to David Gómez <david AT pleyades DOT net>
